/*** Vytvoeno 29.4.2010 16:09:56 ***/
CREATE TABLE [dbo].[Pohledavky] (
  [Cislo_opravne_polozky] [varchar](30) NOT NULL ,
  [Kod] [varchar](2) NULL ,
  [Kniha] [varchar](30) NULL ,
  [Cislo_dokladu] [varchar](30) NULL ,
  [Firma] [varchar](200) NULL ,
  [Konto_dokladu] [varchar](20) NULL ,
  [Castka_bez_DPH] [money] NOT NULL CONSTRAINT [DF_Pohledavky_Castka_bez_DPH] DEFAULT (0),
  [Castka] [money] NOT NULL CONSTRAINT [DF_Pohledavky_Castka] DEFAULT (0),
  [Splatnost] [datetime] NULL ,
  [DUZP] [datetime] NULL ,
  [Castka_OP] [money] NOT NULL CONSTRAINT [DF_Pohledavky_Castka_OP] DEFAULT (0),
  [Castka_OP_ucetni] [money] NOT NULL CONSTRAINT [DF_Pohledavky_Castka_OP_ucetni] DEFAULT (0),
  [OP_ID] [varchar](30) NULL ,
  [OP_ID_ucetni] [varchar](30) NULL ,
  [Odpis_ID] [varchar](30) NULL ,
  [Stornovano_vratkou] [varchar](30) NULL ,
  [Nacteno_ke_dni] [datetime] NULL ,
  [Referent] [varchar](30) NULL ,
  [Poznamky] [varchar](255) NULL ,
  [Datum_aktualizace] [datetime] NULL ,
  [upsize_ts] [timestamp] NULL,
  [rowguid] [uniqueidentifier] rowguidcol NOT NULL constraint [DF_Pohledavky_rowguid] default newid(),
  CONSTRAINT [aaaaaPohledavky_PK] PRIMARY KEY NONCLUSTERED
  (
    [Cislo_opravne_polozky]
  ) ON [PRIMARY]
) ON [PRIMARY]

CREATE UNIQUE NONCLUSTERED INDEX [IXU_rowguid] ON [Pohledavky](rowguid)
CREATE NONCLUSTERED INDEX [IX_Firma] ON [Pohledavky]([Firma])
CREATE NONCLUSTERED INDEX [IX_Odpis_ID] ON [Pohledavky]([Odpis_ID])
CREATE NONCLUSTERED INDEX [IX_OP_ID] ON [Pohledavky]([OP_ID])
CREATE NONCLUSTERED INDEX [IX_OP_ID_ucetni] ON [Pohledavky]([OP_ID_ucetni])
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Uniktn slo opravn poloky (OP)', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Cislo_opravne_polozky'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Typ OP', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Kod'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Identifiktor knihy', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Kniha'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'slo faktury z agendy Vydan doklady', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Cislo_dokladu'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Firma, na kterou je faktura vystaven', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Firma'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Konto dokladu vydan faktury', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Konto_dokladu'
EXEC sp_addextendedproperty @name = 'AV-InputMask:10', @value = '000\ AAAaaaaaaaaaaaaa;0', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Konto_dokladu'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'stka faktury (zbv uhradit) bez DPH', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka_bez_DPH'
EXEC sp_addextendedproperty @name = 'AV-Format:10', @value = 'Standard', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka_bez_DPH'
EXEC sp_addextendedproperty @name = 'AV-DecimalPlaces:2', @value = '255', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka_bez_DPH'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Celkov stka faktury (zbv uhradit) vetn DPH', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka'
EXEC sp_addextendedproperty @name = 'AV-Format:10', @value = 'Standard', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka'
EXEC sp_addextendedproperty @name = 'AV-DecimalPlaces:2', @value = '255', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Splatnost faktury', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Splatnost'
EXEC sp_addextendedproperty @name = 'AV-Format:10', @value = 'Short Date', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Splatnost'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'DUZP faktury', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'DUZP'
EXEC sp_addextendedproperty @name = 'AV-Format:10', @value = 'Short Date', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'DUZP'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Ve zkonn opravn poloky vypoten dle pravidel', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka_OP'
EXEC sp_addextendedproperty @name = 'AV-Format:10', @value = 'Standard', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka_OP'
EXEC sp_addextendedproperty @name = 'AV-DecimalPlaces:2', @value = '255', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka_OP'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Ve etn opravn poloky vypoten dle pravidel', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka_OP_ucetni'
EXEC sp_addextendedproperty @name = 'AV-Format:10', @value = 'Standard', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka_OP_ucetni'
EXEC sp_addextendedproperty @name = 'AV-DecimalPlaces:2', @value = '255', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Castka_OP_ucetni'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'slo internho dokladu, na kterm je tovno o zkonn OP', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'OP_ID'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'slo internho dokladu, na kterm je tovno o etn OP', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'OP_ID_ucetni'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'slo internho dokladu, na kterm je tovno o likvidaci pohledvky', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Odpis_ID'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'slo vratn opravn poloky (OP), kterou byla stornovna aktuln OP', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Stornovano_vratkou'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Datum, ke ktermu byly nateny opravn poloky', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Nacteno_ke_dni'
EXEC sp_addextendedproperty @name = 'AV-Format:10', @value = 'Short Date', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Nacteno_ke_dni'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Vyizuje nebo vystavil doklad', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Referent'
EXEC sp_addextendedproperty @name = 'AV-Description:10', @value = 'Datum posledn aktualizace zznamu', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Datum_aktualizace'
EXEC sp_addextendedproperty @name = 'AV-Caption:12', @value = 'Datum aktualizace', @level0type = 'SCHEMA', @level0name = 'dbo', @level1type = 'TABLE',  @level1name = 'Pohledavky', @level2type = 'COLUMN',  @level2name = 'Datum_aktualizace'

